#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.0.1"
SHA1SUM="663548c37b996082db1f2f2c32af060d7aa15c2d"
URL="http://ovh.dl.sourceforge.net/sourceforge/expat"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz expat &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/expat-${VERSION}.tar.gz &&
cd expat-${VERSION} &&

patch_src expat &&

sed -e 's/-O2/-Os/g' -i configure &&
mkdir -p ${INSTALLDIR}/usr/lib/pkgconfig
PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --includedir=/usr &&
make &&
make DESTDIR=${INSTALLDIR} install &&

mv -v ${INSTALLDIR}/lib/libexpat.la ${INSTALLDIR}/usr/lib &&
mv -v ${INSTALLDIR}/lib/libexpat.a ${INSTALLDIR}/usr/lib &&
cp -av ${INSTALLDIR}/lib/pkgconfig ${INSTALLDIR}/usr/lib &&
rm -rf ${INSTALLDIR}/lib/pkgconfig &&

cd ${BUILDDIR} &&
rm -rf expat-${VERSION}
