#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.3.8"
SHA1SUM="0a15d4498139c6743c0ea388c40aaf40cafd4f44"
URL="http://surfnet.dl.sourceforge.net/project/freetype/freetype2/${VERSION}"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 freetype &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/freetype-${VERSION}.tar.bz2 &&
cd freetype-${VERSION} &&

patch_src freetype &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib &&
make &&
make DESTDIR=${INSTALLDIR} install &&

mv -v ${INSTALLDIR}/lib/libfreetype.la ${INSTALLDIR}/usr/lib &&
mv -v ${INSTALLDIR}/lib/libfreetype.a ${INSTALLDIR}/usr/lib &&
cp -av ${INSTALLDIR}/lib/pkgconfig ${INSTALLDIR}/usr/lib &&
rm -rf ${INSTALLDIR}/lib/pkgconfig &&

cd ${BUILDDIR} &&
rm -rf freetype-${VERSION}
