#!/bin/bash
# UniBE, IAM, RVS, Author: P.Goode
##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION=""
#ORIGINAL SHA1SUM="e05a3019c9d5e8a5d4a1f5237edc781419534682"
SHA1SUM="6e3e218bc63ebac4c4d4e156d9c70b052be60f7f"
URL="https://dev.openwrt.org/raw-attachment/ticket/6286"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
SUPPORTED_PLATFORMS="alix"
##################################################

supported geodewdt &&
#download_bz2 geodewdt &&
download_gz geodewdt &&

cd ${BUILDDIR} &&
#tar -xvf ${SRCDIR}/geodewdt.tar.bz2 &&
tar -xvf ${SRCDIR}/geodewdt.tar.gz &&

cd geodewdt &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null
patch_src geodewdt &&

cd src &&


# Update configure to make target linux version number available
LINUXTARGETVER=`grep ^VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed 's/\(VERSION=\)\(.*\)/\2/' | sed -n -e '$s/[^0-9]*//' -e '$s/\..*//p'`
sed -e "6570,6574 s/ac_cv_linux_vers=unknown/ac_cv_linux_vers=${LINUXTARGETVER}/" -i configure &&

# Update configure to update the target installation prefix
sed -e "560,565 s|ac_default_prefix=/usr/local|ac_default_prefix=/usr|" -i configure &&

# Force hard links for when run build/install > x1
sed -e '455,473 s/ln \$/ln -f \$/' -i Makefile.in &&
sed -e ' /INSTALL_PROGRAM) libpcap.so./ a\
        VER=`cat VERSION`; cd $(DESTDIR)$(libdir) ; ln -sf libpcap.so.$$VER libpcap.so ' -i Makefile.in &&

#Assume first part of BOARDTARGET gives type
BOARD=${BOARDTARGET%%-*}
#Assume version nr assumed to have at least 2 parts ("X.Y.n.")
LINUXVER=`grep ^VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed 's/\(VERSION=\)\(.*\)/\2/' | sed -e '$s/\"\([0-9]*.[0-9]*\).*\"/\1/'`

env

./configure  --host="i686-unknown-linux_$LINUXVER" --target="$BOARD-unknown-linux_$LINUXVER" --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --with-pcap=linux &&

make
#make CC="${CC} -B ${BUILDDIR}/linux/include -Os -fPIC" &&
#make CC="${CC} -B -I${BUILDDIR}/linux/include -Os -fPIC"

#install -m 755 geodewdt ${INSTALLDIR}/sbin &&
#cd ${BUILDDIR} &&
#rm -rf geodewdt
