#!/bin/bash
# UniBE, IAM, RVS, Author: ott@iam.unibe.ch
##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.4.6"
SHA1SUM="445b9e158aaf91e24eae3d1040c6213e9d9f5ba6"
URL="ftp://ftp.gnupg.org/gcrypt/libgcrypt/"
BUILD_DEPS="toolchain libgpg-error"
##################################################

download_bz2 libgcrypt &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/libgcrypt-${VERSION}.tar.bz2 &&
cd libgcrypt-${VERSION} &&

CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --exec_prefix=${INSTALLDIR} --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --mandir=${INSTALLDIR}/usr -disable-asm --with-gpg-error-prefix=${INSTALLDIR} &&

make &&
make DESTDIR=${INSTALLDIR} install &&
ranlib ${INSTALLDIR}/lib/libgcrypt.a &&

cd ${BUILDDIR} &&
rm -rf libgcrypt-${VERSION}