#!/bin/bash
# UniBE, IAM, RVS, Author: P.Goode
##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.1"
SHA1SUM="54c7d02f93b09b43338e5cbf42f1373e83566577"
URL="http://downloads.openwrt.org/sources"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
SUPPORTED_PLATFORMS="alix om1p wrap meraki"
##################################################

supported libnl &&
download_gz libnl &&

cd ${BUILDDIR} &&
tar -xvf ${SRCDIR}/libnl-${VERSION}.tar.gz &&

cd libnl-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null
patch_src libnl &&

#Assume first part of BOARDTARGET gives type
BOARD=${BOARDTARGET%%-*}
#Assume version nr assumed to have at least 2 parts ("X.Y.n.")
LINUXVER=`grep ^VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed 's/\(VERSION=\)\(.*\)/\2/' | sed -e '$s/\"\([0-9]*.[0-9]*\).*\"/\1/'`

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig"
CFLAGS+=-D__FORCE_NOGLIBC &&
CPPFLAGS="-I${INSTALLDIR}/usr/include " CC="${CC} -Os -fPIC" ./configure  --host="i686-pc-linux_$LINUXVER" --target="$BOARD-pc-linux_$LINUXVER" --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --with-shared --enable-termcap &&

make DESTDIR=${INSTALLDIR} &&
make DESTDIR=${INSTALLDIR} install &&

cp -av ${INSTALLDIR}/lib/pkgconfig ${INSTALLDIR}/usr/lib &&
rm -rf ${INSTALLDIR}/lib/pkgconfig &&

cd ${BUILDDIR} &&
rm -rf libnl-${VERSION}
