#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.4.20"
SHA1SUM="e5944a40579e0f37c6a0eeb0ad751344b2d6006c"
URL="http://www.lighttpd.net/download"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain zlib openssl"
##################################################

download_bz2 lighttpd &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/lighttpd-${VERSION}.tar.bz2 &&
cd lighttpd-${VERSION} &&

patch_src lighttpd &&

sed -e 's/-O2/-Os/g' -i configure &&
CC="${CC} -Os" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --with-zlib --with-openssl --with-openssl-includes=$INSTALLDIR/usr/include --with-openssl-libs=$INSTALLDIR/lib --with-pic --disable-lfs --without-bzip2 &&
make &&
make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf lighttpd-${VERSION}

