#!/bin/bash

# Thanks to Thomas Staub for providing this buildscript

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="0.5.6-r8"
SHA1SUM="edd6ea2a0d0c9d93a00aaf6ec8b84ed0c82a2905"
#SHA1SUM="d26051423868f33e75d8d79adc539cbfddb40574"
URL="http://www.olsr.org/releases/0.5/"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 olsrd &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/olsrd-${VERSION}.tar.bz2 &&
cd olsrd-${VERSION} &&

patch_src olsrd &&

make CC="${CC} -Os -fPIC" OS=linux &&

# Install binary
install -v -m755 olsrd ${INSTALLDIR}/sbin &&

# Generate txtinfo plugin
cd lib &&
cd txtinfo &&
make CC="${CC} -Os -fPIC" OS=linux &&

install -v -m755 olsrd_txtinfo.so.0.1 ${INSTALLDIR}/lib &&

cd ${BUILDDIR}/olsrd-${VERSION} &&
# Install man pages
# they will never appear on the node, thats why they go to ${INSTALLDIR}/usr 
zcat files/olsrd.8.gz > ${INSTALLDIR}/usr/share/man/man8/olsrd.8 &&
zcat files/olsrd.conf.5.gz > ${INSTALLDIR}/usr/share/man/man5/olsrd.conf.5 &&

cd ${BUILDDIR} &&
rm -rf olsrd-${VERSION}

