#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.0.0"
SHA1SUM="35ecbe20ee2939563394889603e056ce0e8157d9"
URL="http://www.iam.unibe.ch/~rvs/research/virtualmesh"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
##################################################

download_bz2 virtualmesh &&


cd ${BUILDDIR} &&
rm -rf virtualmesh-${VERSION}
tar -xjvf ${SRCDIR}/virtualmesh-${VERSION}.tar.bz2 &&
cd virtualmesh-${VERSION} &&

patch_src virtualmesh &&

# build and install binaries
cd client-tools/vif-tools &&
CC="${CC} -Os -fPIC" ./configure --host=${CROSS_TARGET} --prefix=/usr --libdir=/lib &&
make clean &&
make &&
make DESTDIR=${INSTALLDIR} install &&

cd ../iwconnect
CC="${CC} -Os -fPIC" ./configure --host=${CROSS_TARGET} --includedir=${INSTALLDIR}/include --prefix=/usr --libdir=/lib &&
make clean &&
make &&
make DESTDIR=${INSTALLDIR} install &&

# cleanup build directory
cd ${BUILDDIR} &&
rm -rf virtualmesh-${VERSION}
