#!/bin/bash

########################################################################
# Copyright (C) 2009 Thomas staub <staub<at>iam.unibe.ch>              #
#                                                                      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

NODES="node01 node02 node03 node04 node05 node06"
PLATFORM="alix"
KEY_NET_CONFIG="/home/tom/Documents/cti-mesh-builder/key_network_configs.tar.gz"
PROJECT_NAME="cti-mesh"
IMAGE_BUILDER_DIR="/home/tom/Documents/cti-mesh-builder"
CURRENT_CONFIG_DIR="${IMAGE_BUILDER_DIR}/${PROJECT_NAME}-configs/`date +%F-%H-%M`/"
DIR=`pwd`

# Functions
generate_configs()
{
	host=$1
	echo -e "\E[36;1mGenerate config image for $host: \E[30;0m"
	./image-tool gen_config $PLATFORM $host
	echo -e "\E[36;1mok\E[30;0m"
}

inject_configs()
{
	echo -e "\E[36;1mInject Network configs and keys to ${1} \E[30;0m"
	./image-tool inject_config ${KEY_NET_CONFIG} "$1"
	echo -e "\E[36;1mok\E[30;0m"
}


if [ `id -u` != "0" ] ; then
    echo
    echo "You are not root, please execute me as root."
    echo
    exit 1
fi


if [ ! -d "${IMAGE_BUILDER_DIR}/${PROJECT_NAME}-configs" ] ; then
	mkdir "${IMAGE_BUILDER_DIR}/${PROJECT_NAME}-configs"
fi

if [ ! -d "${CURRENT_CONFIG_DIR}" ] ; then
	mkdir "${CURRENT_CONFIG_DIR}"
fi

cd ${IMAGE_BUILDER_DIR}


for node in ${NODES}; do
	generate_configs $node
        mv *.default "${CURRENT_CONFIG_DIR}"
done

inject_configs "${CURRENT_CONFIG_DIR}"

cd ${DIR}

