#!/bin/sh

DATE=`date "+%Y%m%d"`
TIME=`date "+%Y%m%d-%H%M%S"`
HOSTNAME=`hostname`
NODES="195.176.3.65 195.176.3.66 195.176.3.67 195.176.3.68 195.176.3.69 195.176.3.70 195.176.3.71 195.176.3.72 195.176.3.73 195.176.3.74 195.176.3.75 195.176.3.76 195.176.3.82 195.176.0.165 130.92.65.168"
DIR="/root/logs"
FPING="/root/scripts/fping"


write_fping()
{
	NAME="fping"
	FILE=${DIR}/${HOSTNAME}.${NAME}.${DATE}
	
	print_header "fping" ${FILE}
	printf "${TIME}\t" >> $FILE
    ${FPING} -C 10 -q ${NODES} 2>&1 | sed '/duplicate/d' | tr '\n' '\t;' >> ${FILE}
    printf "\n" >> $FILE

}


print_header()
{
	if [ ! -f ${2} ] ; then
		case "${1}" in
			fping)
				printf "FPing from ${HOSTNAME} to ${NODES}\n" > ${2}
				;;	
			esac
		fi	
}


if [ ! -d ${DIR} ] ; then
        mkdir -p ${DIR}
fi

write_fping

